package com.qmth.distributed.print.business.bean.flow;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 自定义流程节点变量 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/2/10
 */
public class CustomFlowVarDto implements Serializable {

    @ApiModelProperty(value = "流程节点变量")
    String flowTaskVar;

    @ApiModelProperty(value = "审批人")
    List<String> approveIds;

    public CustomFlowVarDto() {

    }

    public CustomFlowVarDto(String flowTaskVar) {
        this.flowTaskVar = flowTaskVar;
    }

    public CustomFlowVarDto(String flowTaskVar, List<String> approveIds) {
        this.flowTaskVar = flowTaskVar;
        this.approveIds = approveIds;
    }

    public String getFlowTaskVar() {
        return flowTaskVar;
    }

    public void setFlowTaskVar(String flowTaskVar) {
        this.flowTaskVar = flowTaskVar;
    }

    public List<String> getApproveIds() {
        return approveIds;
    }

    public void setApproveIds(List<String> approveIds) {
        this.approveIds = approveIds;
    }
}
